<?
/**
* adada
*/
class banner_Model{

	var $call_controller = array('banner');
	var $call_helper = array('title', 'ajax_images', 'position');

	function public_banner(){

		$this->banner->get_public_banner_data($this->position)->Page('public_banner');
	}
	function dashboard(){

		$this->banner->get_dashboard_data()->Page('dashboard');
	}

	function view_stat(){

		$this->banner->get_view_stat_data()->Page('view_stat');
	}

	function manage_banner(){

		$this->banner->GET('action=delete')->method();
		$this->banner->GET('action=no_active')->method();
		$this->banner->GET('action=active')->method();
		$this->banner->GET('action=no_never_expires')->method();
		$this->banner->GET('action=never_expires')->method();

		$this->banner->POST('insert_banner')->method();
		$this->banner->POST('update_banner')->method();

		$this->banner->get_manage_banner_data()->Page('manage_banner');
	}

	function ajax_images(){

		$this->banner->GET('action=delete_image')->method();
		$this->banner->POST('upload_image')->method();

		$this->banner->get_ajax_images_data()->Page('ajax_images');
	}
}
?>